﻿Type=Class
Version=4
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
'Class module
Sub Class_Globals
	Private HSV As HorizontalScrollView
	Private mAct As Activity
	Private mSeqr As MidiSequencer
	Private mPanels As List
	Dim MasterVolume As Int = 100
	Dim ChannelWidth As Int = 100Dip
	Dim Channels As List
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize(Act As Activity,Seqr As MidiSequencer,Panels As List)
	mAct = Act
	mSeqr = Seqr
	mPanels = Panels
	HSV.Initialize(100%x,"HSV")
	mAct.AddView(HSV,0,0,100%x,100%y)
	HSV.Visible = False
	HSV.Color = Colors.RGB(30,30,30)
	Channels.Initialize
End Sub
Sub Show
	Channels.Clear
	
	HSV.Panel.RemoveAllViews
	Dim TD As TrackData
	TD.Initialize
	TD.InstName = "Master"
	TD.NoteVolume = MasterVolume
	Dim TP As Panel
	TP.Initialize("")
	HSV.Panel.AddView(TP,0,0,ChannelWidth,100%y)
	Dim MC As MixerChannel
	MC.Initialize(mAct,Me,TP,mSeqr,TD)
	Channels.Add(MC)
	
	For i = 0 To mPanels.Size - 1
		Dim TP As Panel
		TP.Initialize("")
		Dim P As Panel = mPanels.get(i)
		Dim MC As MixerChannel
		HSV.Panel.AddView(TP,(i + 1) * ChannelWidth,0,ChannelWidth,100%y)
		MC.Initialize(mAct,Me,TP,mSeqr,P.Tag)
		Channels.Add(MC)
	Next
	HSV.Visible = True
End Sub
Sub Hide
	HSV.Visible = False
End Sub
Sub Visible As Boolean
	Return HSV.Visible
End Sub
